# jekyll-uikit

[![GitHub forks](https://img.shields.io/github/forks/jpasholk/jekyll-uikit.svg?style=social&label=Fork)](https://github.com/jpasholk/jekyll-uikit/fork/)
[![GitHub stars](https://img.shields.io/github/stars/jpasholk/jekyll-uikit.svg?style=social&label=Stars)](https://github.com/jpasholk/jekyll-uikit/stargazers)
[![license](https://img.shields.io/github/license/jpasholk/jekyll-uikit.svg)](https://github.com/jpasholk/jekyll-uikit/blob/master/LICENSE.txt)
[![GitHub last commit](https://img.shields.io/github/last-commit/jpasholk/jekyll-uikit.svg)](https://github.com/jpasholk/jekyll-uikit/commits/master)
[![GitHub issues](https://img.shields.io/github/issues-raw/jpasholk/jekyll-uikit.svg)](https://github.com/jpasholk/jekyll-uikit/issues?q=is%3Aissue+is%3Aopen+sort%3Aupdated-desc)
[![Gem](https://img.shields.io/gem/dt/jekyll-uikit.svg)](https://rubygems.org/gems/jekyll-uikit)
[![GitHub contributors](https://img.shields.io/github/contributors/jpasholk/jekyll-uikit.svg)](https://github.com/jpasholk/jekyll-uikit/graphs/contributors)
[![Gem](https://img.shields.io/gem/v/jekyll-uikit.svg)](https://rubygems.org/gems/jekyll-uikit)

[Live Demo](https://jekyll-uikit.jpasholk.com)

## Home Page

![Jekyll-UiKit](/Screenshot.png)

## Blog Page

![Jekyll-UiKit Blog](/docs/Blog-Screenshot.png)

## Archive Page by Tag

![Jekyll-UiKit Archives](/docs/Archives-Screenshot.png)

Built with [UiKit](https://getuikit.com/) by [YooTheme](https://yootheme.com/), with an elegant homepage, a blog and archive pages, and lighting fast search with Algolia.

# Features

* 100% compatible with GitHub Pages!

* Available to install by forking, cloning, or as a theme gem.

* Responsive layout.

* Contact forms powered by [Formspree.io](https://formspree.io)!

* Paginated blog page with follow links on last page.

* Tag archive page that automatically populates with tags from posts. ie: [tag1, tag2, tag3, etc].

* Optimized for search engines with support for Twitter Cards and Open Graph data.

* Comments powered by Disqus, with Staticman integration planned.

* Google Analytics support.

* Large header image support.

* Reading time for posts and blog index. [Credits](https://carlosbecker.com/posts/jekyll-reading-time-without-plugins/)

## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "jekyll-uikit"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: jekyll-uikit
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install jekyll-uikit

## Usage

* You can find instructions on using this theme in the [blog](https://jekyll-uikit.jpasholk.com/blog/) of the demo site.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/jpasholk/jekyll-uiki. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](https://contributor-covenant.org) code of conduct.

# Credits

This theme wouldn't have been made possible if it wasn't for:

* [Jekyll](https://jekyllrb.com/)

* [UiKit](https://getuikit.com/)

* [freeCodeCamp](https://www.freecodecamp.org/)

* [GitHub](https://www.github.com/)

* [Michael Rose's Minimal Mistakes Theme](https://github.com/mmistakes/minimal-mistakes)

* [Dean Attali's Beautiful-Jekyll Theme](https://github.com/daattali/beautiful-jekyll)

* [David Darnes's Alembic Jekyll Theme](https://github.com/daviddarnes/alembic)

* [James Williamson's Jekyll series on lynda.com](https://www.lynda.com/Jekyll-tutorials/Jekyll-Web-Designers/383124-2.html)

### Also, thanks to

* [Algolia Search](https://www.algolia.com/)

* [OneDarkJekyll](https://github.com/mgyongyosi/OneDarkJekyll) for the syntax highlighting.

* [Snaptortoise's Jekyll RSS Feeds](https://github.com/snaptortoise/jekyll-rss-feeds) for drop in RSS/ Atom feeds.

* [Michael Lanyon's Post](https://blog.lanyonm.org/articles/2013/11/21/alphabetize-jekyll-page-tags-pure-liquid.html) on alphabetizing Jekyll page tags in pure Liquid.

* [StackOverflow](https://stackoverflow.com/search?q=Jekyll) where would we be without StackOverflow?

* [unDraw.co](https://undraw.co) and [Unsplash](https://unsplash.com) for the awesome images used around the site.

* [Michael Woolweaver](https://github.com/mwoolweaver) - a good friend of mine who gave me a nudge in the right direction.

And many other people and things that I am forgetting.

## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
